import debug from 'debug';
import { createGeolocationDecorator } from "../../create-geolocation-decorator";
import { useEffect, useState } from "react";
export function usePositionWatch(options) {
    const log = debug(`@deep-foundation/capacitor-geolocation:${usePositionWatch.name}`);
    const { deep, watchPositionOptions } = options;
    const decoratedDeep = createGeolocationDecorator(deep);
    const [watchId, setWatchId] = useState(undefined);
    useEffect(() => {
        decoratedDeep.watchPosition(watchPositionOptions).then((watchId) => {
            log({ watchId });
            setWatchId(watchId);
        });
        return () => {
            if (watchId) {
                decoratedDeep.clearWatch({ id: watchId });
            }
        };
    }, []);
}
