import { DeepClientInstance } from "@deep-foundation/deeplinks/imports/client";
import { GeolocationDecorator } from "../../create-geolocation-decorator";
import { Link } from "@deep-foundation/deeplinks/imports/minilinks";
/**
 * Subscribes to the position link contained in the {@link UsePositionOptions.containerLinkId}
 */
export declare function usePosition(options: UsePositionOptions): Link<number> | undefined;
export interface UsePositionOptions {
    /**
     * Deep client instance decorated with {@link GeolocationDecorator} by using {@link createGeolocationDecorator}
     */
    deep: GeolocationDecorator<DeepClientInstance>;
    /**
     * Container link id
     *
     * @defaultValue {@link UsePositionOptions.deep.linkId}
     */
    containerLinkId?: number;
}
