import { useDeepSubscription } from "@deep-foundation/deeplinks/imports/client";
/**
 * Subscribes to the position link contained in the {@link UsePositionOptions.containerLinkId}
 */
export function usePosition(options) {
    const { deep, containerLinkId = deep.linkId } = options;
    if (deep.requiredPackagesInMinilinksToApply.length > 0) {
        throw new Error(`deep.requiredPackagesInMinilinksToApply.length > 0. You must call deep.applyRequiredPackagesInMinilinks() before calling ${usePosition.name}`);
    }
    const subscriptionData = {
        type_id: deep.capacitorGeolocationPackage.Position.idLocal(),
        in: {
            type_id: deep.idLocal("@deep-foundation/core", "Contain"),
            from_id: containerLinkId
        }
    };
    const { data: [positionLink] = [undefined] } = useDeepSubscription(subscriptionData);
    return positionLink;
}
